import { AppNode, AppTree } from '@backstage/frontend-plugin-api';
type NodeType = ({
    type: 'node';
    id: string;
} & AppNode) | {
    type: 'input';
    id: string;
    name: string;
};
/** @public */
export declare function Node(props: {
    node: NodeType;
}): import("react/jsx-runtime").JSX.Element;
export declare function TreeVisualizer({ tree }: {
    tree: AppTree;
}): import("react/jsx-runtime").JSX.Element;
export {};
